Bug 806660 - Can't install httpd-itk on Centos 6 because it depends on more recent httpd
Can't install httpd-itk on Centos 6 because it depends on more recent httpd
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: httpd-itk (Show other bugs)
el6
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 15:50 EDT by info@kobaltwit.be
Modified: 2012-04-23 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: httpd-itk-2.2.22-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 18:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description info@kobaltwit.be 2012-03-25 15:50:48 EDT
Description of problem:
I tried to install httpd-itk on a fully updated CentOS 6.2 x86_64 system, but it failed, because it depends on httpd to be more recent than is available.

Version-Release number of selected component (if applicable):
httpd-itk-2.2.22-5.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable epel for CentOS 6
2. As root, run yum install httpd-itk
  
Actual results:
---> Package httpd-itk.x86_64 0:2.2.22-5.el6 will be installed
--> Processing Dependency: httpd >= 2.2.22 for package: httpd-itk-2.2.22-5.el6.x86_64
--> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-itk-2.2.22-5.el6.x86_64
--> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-itk-2.2.22-5.el6.x86_64
--> Running transaction check
---> Package apr.x86_64 0:1.3.9-3.el6_1.2 will be installed
---> Package apr-util.x86_64 0:1.3.9-3.el6_0.1 will be installed
---> Package httpd-itk.x86_64 0:2.2.22-5.el6 will be installed
--> Processing Dependency: httpd >= 2.2.22 for package: httpd-itk-2.2.22-5.el6.x86_64
--> Finished Dependency Resolution
Error: Package: httpd-itk-2.2.22-5.el6.x86_64 (epel)                                                                               
           Requires: httpd >= 2.2.22
           Available: httpd-2.2.15-15.el6.centos.x86_64 (base)
               httpd = 2.2.15-15.el6.centos
           Available: httpd-2.2.15-15.el6.centos.1.x86_64 (updates)
               httpd = 2.2.15-15.el6.centos.1

Expected results:
Successful installation of httpd-itk

Additional info:
I checked in the upstream source repositories. As far as I can see, RHEL also ships with httpd 2.2.15-15, not 2.2.22.
Comment 1 Pavel Alexeev 2012-03-26 12:07:10 EDT
Thank you for your bugreport and willing make free software better!

Please check this scratch build it should fix this issue:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3933706
Comment 2 info@kobaltwit.be 2012-03-27 05:28:24 EDT
Thanks for your quick reply. However, It's not clear to me how I can get from the link to installing a new rpm.

Can you explain shortly how I am supposed to work with koji or do you have a link where this procedure is explained ?
Comment 3 Pavel Alexeev 2012-04-01 05:33:08 EDT
Just hit as root:
rpm -Uhv 'http://koji.fedoraproject.org/koji/getfile?taskID=3933707&name=httpd-itk-2.2.22-6.el6.x86_64.rpm'
Comment 4 info@kobaltwit.be 2012-04-03 04:00:53 EDT
Thank you for the explanation.

I have successfully installed your scratch build. As far as I'm concerned, it can go into updates.
Comment 5 Fedora Update System 2012-04-07 07:56:00 EDT
httpd-itk-2.2.22-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/httpd-itk-2.2.22-6.el6
Comment 6 Pavel Alexeev 2012-04-07 07:56:37 EDT
Thank you for your bugreport and willing make free software better!
Comment 7 Fedora Update System 2012-04-07 15:25:29 EDT
Package httpd-itk-2.2.22-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing httpd-itk-2.2.22-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0991/httpd-itk-2.2.22-6.el6
then log in and leave karma (feedback).
Comment 8 info@kobaltwit.be 2012-04-12 14:53:28 EDT
Thank you for the fast response ! I tested the update which seems to work fine. I left karma for this.
Comment 9 Fedora Update System 2012-04-23 18:54:04 EDT
httpd-itk-2.2.22-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.